net.sf.okapi.common.pipeline.annotations

## Enum StepParameterType

- java.lang.Object
- - java.lang.Enum<StepParameterType>
  - - net.sf.okapi.common.pipeline.annotations.StepParameterType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StepParameterType>

      public enum StepParameterType
      extends java.lang.Enum<StepParameterType>

  Types of the runtime parameters for steps.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BATCH_INPUT_COUNT` Number of input documents in the current batch.
    `EXECUTION_CONTEXT` Context in which execution is occurring (CLI parameters, UI parent shell, etc.), via an `ExecutionContext` object.
    `FILTER_CONFIGURATION_ID` Filter configuration identifier for the main input document.
    `FILTER_CONFIGURATION_MAPPER` Filter configuration mapper.
    `INPUT_RAWDOC` RawDocument object of the main input document.
    `INPUT_ROOT_DIRECTORY` Root directory of the first set of input files.
    `INPUT_URI` URI of the main input document.
    `OUTPUT_DIRECTORY` Output directory.
    `OUTPUT_ENCODING` Output encoding of the main output document.
    `OUTPUT_URI` URI of the main output document.
    `ROOT_DIRECTORY` Root directory for the batch.
    `SECOND_INPUT_RAWDOC` RawDocument object of the second input document.
    `SOURCE_LOCALE` Source locale.
    `TARGET_LOCALE` Deprecated. The single target locale annotation will be removed in the near future (M18, M19 or M20). Use `TARGET_LOCALES` instead, to retrieve the target locale list.
    `TARGET_LOCALES` List of target locales.
    `THIRD_INPUT_RAWDOC` RawDocument object of the third input document.
    `UI_PARENT` Deprecated. The UI parent is now encapsulated in `EXECUTION_CONTEXT`. Use that instead.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StepParameterType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StepParameterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INPUT_RAWDOC

          public static final StepParameterType INPUT_RAWDOC

      RawDocument object of the main input document.

    - #### SECOND_INPUT_RAWDOC

          public static final StepParameterType SECOND_INPUT_RAWDOC

      RawDocument object of the second input document.

    - #### THIRD_INPUT_RAWDOC

          public static final StepParameterType THIRD_INPUT_RAWDOC

      RawDocument object of the third input document.

    - #### INPUT_URI

          public static final StepParameterType INPUT_URI

      URI of the main input document.

    - #### OUTPUT_URI

          public static final StepParameterType OUTPUT_URI

      URI of the main output document.

    - #### SOURCE_LOCALE

          public static final StepParameterType SOURCE_LOCALE

      Source locale.

    - #### TARGET_LOCALE

          @Deprecated
          public static final StepParameterType TARGET_LOCALE

      Deprecated. The single target locale annotation will be removed in the near future (M18, M19 or M20). Use `TARGET_LOCALES` instead, to retrieve the target locale list.
      Target locale.

    - #### TARGET_LOCALES

          public static final StepParameterType TARGET_LOCALES

      List of target locales.

    - #### FILTER_CONFIGURATION_ID

          public static final StepParameterType FILTER_CONFIGURATION_ID

      Filter configuration identifier for the main input document.

    - #### FILTER_CONFIGURATION_MAPPER

          public static final StepParameterType FILTER_CONFIGURATION_MAPPER

      Filter configuration mapper.

    - #### OUTPUT_ENCODING

          public static final StepParameterType OUTPUT_ENCODING

      Output encoding of the main output document.

    - #### ROOT_DIRECTORY

          public static final StepParameterType ROOT_DIRECTORY

      Root directory for the batch.

    - #### UI_PARENT

          @Deprecated
          public static final StepParameterType UI_PARENT

      Deprecated. The UI parent is now encapsulated in `EXECUTION_CONTEXT`. Use that instead.
      UI parent object of the calling application (shell, main window, etc.)

    - #### BATCH_INPUT_COUNT

          public static final StepParameterType BATCH_INPUT_COUNT

      Number of input documents in the current batch.

    - #### INPUT_ROOT_DIRECTORY

          public static final StepParameterType INPUT_ROOT_DIRECTORY

      Root directory of the first set of input files.

    - #### OUTPUT_DIRECTORY

          public static final StepParameterType OUTPUT_DIRECTORY

      Output directory.

    - #### EXECUTION_CONTEXT

          public static final StepParameterType EXECUTION_CONTEXT

      Context in which execution is occurring (CLI parameters, UI parent shell, etc.), via an `ExecutionContext` object.

  - ### Method Detail

    - #### values

          public static StepParameterType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StepParameterType c : StepParameterType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StepParameterType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null